YAST Control Center does't respond after recent update

Hi,
after a recent system update YAST Control Center does’t respont anymore. I also noticed that during booting process, openSUSE logo’s color changed. Not sure if regular system update damaged my machine stability, and if yes, can I revert it? I’m running: - Linux 3.16.6-2-desktop

  • openSUSE 13.1 (Bottle) (x86_64)

Many thanks for your help!!!
Ciao
AD

| Alias | Name | Enabled | Refresh | Priority | Type | URI | Service

—±--------------------------±-----------------------------------±--------±--------±---------±-------±--------------------------------------------------------------------------------------±-------
1 | GNU_CASH | GNU CASH | Yes | Yes | 99 | rpm-md | http://download.opensuse.org/repositories/home%3A/j-engel/openSUSE_13.1/ |
2 | KDE | KDE | Yes | Yes | 99 | rpm-md | http://download.opensuse.org/repositories/KDE:/Extra/openSUSE_13.1/ |
3 | Packman_Essential | Packman Essential | Yes | Yes | 99 | rpm-md | http://packman.inode.at/suse/openSUSE_13.1/Essentials/ |
4 | Packman_Multimedia | Packman Multimedia | Yes | Yes | 99 | rpm-md | http://packman.inode.at/suse/openSUSE_13.1/Multimedia/ |
5 | Security | Security | Yes | Yes | 99 | rpm-md | http://download.opensuse.org/repositories/security/openSUSE_13.1/ |
6 | Silver | Silver | Yes | Yes | 99 | rpm-md | http://download.mono-project.com/download-stable/openSUSE_11.4 |
7 | home:doiggl | home:doiggl | Yes | Yes | 99 | rpm-md | http://download.opensuse.org/repositories/home:/doiggl/openSUSE_13.1/ |
8 | openSUSE-13.1-1.10 | openSUSE-13.1-1.10 | No | Yes | 99 | yast2 | hd:///?device=/dev/disk/by-id/usb-SanDisk_Cruzer_Blade_20060775301AF4A19B89-0:0-part2 |
9 | openSUSE:13.2 | openSUSE:13.2 | Yes | Yes | 99 | yast2 | http://download.opensuse.org/distribution/13.2/repo/oss/ |
10 | repo-debug | openSUSE-13.1-Debug | No | Yes | 99 | NONE | http://download.opensuse.org/debug/distribution/13.1/repo/oss/ |
11 | repo-debug-update | openSUSE-13.1-Update-Debug | No | Yes | 99 | NONE | http://download.opensuse.org/debug/update/13.1/ |
12 | repo-debug-update-non-oss | openSUSE-13.1-Update-Debug-Non-Oss | No | Yes | 99 | NONE | http://download.opensuse.org/debug/update/13.1-non-oss/ |
13 | repo-non-oss | openSUSE-13.1-Non-Oss | Yes | Yes | 99 | yast2 | http://download.opensuse.org/distribution/13.1/repo/non-oss/ |
14 | repo-oss | openSUSE-13.1-Oss | Yes | Yes | 99 | yast2 | http://download.opensuse.org/distribution/13.1/repo/oss/ |
15 | repo-source | openSUSE-13.1-Source | No | Yes | 99 | NONE | http://download.opensuse.org/source/distribution/13.1/repo/oss/ |
16 | repo-update | openSUSE-13.1-Update | Yes | Yes | 99 | rpm-md | http://download.opensuse.org/update/13.1/ |
17 | repo-update-non-oss | openSUSE-13.1-Update-Non-Oss | Yes | Yes | 99 | rpm-md | http://download.opensuse.org/update/13.1-non-oss/ |
18 | windows:mingw:win32 | windows:mingw:win32 | Yes | Yes | 99 | rpm-md | http://download.opensuse.org/repositories/windows:/mingw:/win32/openSUSE_13.1/ |

You have this openSUSE 13.2 repo active!

9 | openSUSE:13.2             | openSUSE:13.2                      | Yes     | Yes     |   99     | yast2  | [http://download.opensuse.org/distrib...13.2/repo/oss/](http://download.opensuse.org/distribution/13.2/repo/oss/)                              |

So, an unintentional and probably inconsistent upgrade.

Do you think it is possible to revert this upgrade? How can I cancel this repo?
I’m still wandering how this repo was added without my knowledge.

Remove the repo with

zypper rr 9

then try

zypper dup

Remove repo done
I tried zypper dup. It gives me 2 options. What would be the best option?
thanks

Warning: You are about to do a distribution upgrade with all enabled repositories. Make sure these repositories are compatible before you continue. See ‘man zypper’ for more information about this command.
Loading repository data…
Reading installed packages…
Computing distribution upgrade…
4 Problems:
Problem: nothing provides mingw32-cross-gcc = 4.8.2n needed by pipelight-0.1+2+20130818000040-3.15.i586
Problem: patterns-openSUSE-base-13.1-13.6.1.x86_64 requires module-init-tools, but this requirement cannot be provided
Problem: icewm-lite-1.2.38-20.1.3.x86_64 conflicts with icewm-default provided by icewm-default-1.3.7-26.1.4.x86_64
Problem: patterns-openSUSE-x11_yast-13.1-13.6.1.x86_64 conflicts with patterns-openSUSE-kde4 provided by patterns-openSUSE-kde4-13.1-13.6.1.x86_64

Problem: nothing provides mingw32-cross-gcc = 4.8.2n needed by pipelight-0.1+2+20130818000040-3.15.i586
Solution 1: Following actions will be done:
keep obsolete pipelight-0.2.5-14.1.x86_64
keep obsolete wine-gecko-2.24-43.1.noarch
Solution 2: break pipelight-0.1+2+20130818000040-3.15.i586 by ignoring some of its dependencies

Choose from above solutions by number or skip, retry or cancel [1/2/s/r/c] (c):

Choose option 1. You may get a few more dependency choices to solve as part of this exercise.